Developer Documentation

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
DeserializeScreenshotMetadataPlugin Class Reference
Inheritance diagram for DeserializeScreenshotMetadataPlugin:

## Signals
void | updateView ()
void | updatedObject (int, const UpdateType &)
void | addToolbar (QToolBar *_toolbar)
void | metadataDeserialized (const QVector< QPair< QString, QString > > &data)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from ToolbarInterface
virtual void | addToolbar (QToolBar *_toolbar)
| Adds a Toolbar to the main widget. More...
Signals inherited from MetadataInterface
virtual void | metadataDeserialized (const QVector< QPair< QString, QString > > &data)=0

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...

## Private Slots
void | initializePlugin ()
void | pluginsInitialized ()
void | slot_restore_from_screenshot ()
void | slot_do_restore_from_screenshot ()
void | slotGenericMetadataDeserialized (QString key, QString value)
void | slotObjectMetadataDeserialized (QString object_name, QString value)
void | slotObjectMetadataDeserializedJson (QString object_name, QJsonDocument value)
Private Slots inherited from BaseInterface
virtual void | exit ()
virtual QString | version ()
| Return a version string for your plugin. More...

## Private Attributes
QToolBar * | toolbar
QAction * | restoreAction
RestoreFromScreenshotDlg * | restore_from_screenshot_dlg

## Additional Inherited Members
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from ToolbarInterface
virtual | ~ToolbarInterface ()
| Destructor.
virtual void | removeToolbar (QToolBar *_toolbar)
| Remove a Toolbar from the main widget. More...
virtual void | getToolBar (QString _name, QToolBar *&_toolbar)
| Get a pointer to a Toolbar of the given name or 0 if it does not exist. More...
Private Member Functions inherited from MetadataInterface
virtual | ~MetadataInterface ()
| Destructor.

## Detailed Description

Definition at line 65 of file DeserializeScreenshotMetadataPlugin.hh.

## Member Function Documentation

## ◆ description()

QString DeserializeScreenshotMetadataPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 112 of file DeserializeScreenshotMetadataPlugin.hh.

## ◆ name()

QString DeserializeScreenshotMetadataPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 108 of file DeserializeScreenshotMetadataPlugin.hh.

The documentation for this class was generated from the following files:

- Plugin-DeserializeScreenshotMetadata/DeserializeScreenshotMetadataPlugin.hh
- Plugin-DeserializeScreenshotMetadata/DeserializeScreenshotMetadataPlugin.cc